libzypp 17.37.10

zsyncparser.cc File Reference
`#include "zsyncparser.h"`
`#include <zypp-core/base/Logger.h>`
`#include <sys/types.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <vector>`
`#include <iostream>`
`#include <fstream>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::env
| Namespace intended to collect all environment variables we use.
namespace | zypp::media

## Macros
#define | c2h(c)

## Functions
bool | zypp::env::ZYPP_METALINK_DEBUG ()
| Hack to circumvent the currently poor –root support.
static int | zypp::media::hexstr2bytes (unsigned char *buf, const char *str, int buflen)

## Macro Definition Documentation

## ◆ c2h

#define c2h | ( |  | c | ) |

Value:
(((c)>='0' && (c)<='9') ? ((c)-'0') \
: ((c)>='a' && (c)<='f') ? ((c)-('a'-10)) \
: ((c)>='A' && (c)<='F') ? ((c)-('A'-10)) \
: -1)